=== requirements.txt ===
meson
ninja
