=== debian/changelog ===
unordered-dense (4.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1124746)

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Tue, 06 Jan 2026 11:25:12 +0100
