=== debian/control ===
Source: unordered-dense
Section: libs
Priority: optional
Maintainer: Andreas Glinserer <andreas.glinserer@canonical.com>
Uploaders: Andreas Glinserer <andreas.glinserer@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.3
Homepage: https://github.com/martinus/unordered_dense
Description: fast, dense hashmap and hashet header-only library
 A fast & densely stored hashmap and hashset based on robin-hood
 backward shift deletion for C++17 and later.
 .
 The classes ankerl::unordered_dense::map and ankerl::unordered_dense::set are
 (almost) drop-in replacements of std::unordered_map and std::unordered_set.
 While they don't have as strong iterator / reference stability guarantees, they
 are typically much faster.
 .
 Additionally, there are ankerl::unordered_dense::segmented_map and
 ankerl::unordered_dense::segmented_set with lower peak memory usage, and stable
 references (iterators are NOT stable) on insert.

Package: libunordered-dense-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: fast, dense hashmap and hashet header-only library
 ${source:Extended-Description}
