=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-DCMAKE_INSTALL_DATADIR=share \
	-DANKERL_ENABLE_MODULES=OFF \
	-DANKERL_ENABLE_EXAMPLE=OFF
