=== debian/tests/control ===
Tests: smoke
Depends: @, build-essential, cmake
Restrictions: superficial
